#pragma once

const int zoom=20;

class Mur {
public:
    bool hor, ver;
    Mur() { hor=ver=true; }
};

class Labyrinthe {
    int w,h;
    Mur* mur;
    void genere(int x0, int y0, int x1, int y1);
public:
    Labyrinthe(int largeur, int hauteur);
    ~Labyrinthe();

    int largeur() const { return w; }
    int hauteur() const { return h; }

    void affiche(int dx=0, int dy=0) const;
    void vide();
    void genere();

    bool bouche_impasse(int& x, int& y);

    bool adjacent(int x, int y, int dx, int dy) const;
};
